nodejs-require-cs-0.4.4-alt1_1.noarch.rpm


Advertisement

Description

nodejs-require-cs - An AMD loader plugin for CoffeeScript

Distribution: ALT Linux Sisyphus
Repository: Autoimports noarch
Package name: nodejs-require-cs
Package version: 0.4.4
Package release: alt1_1
Package architecture: noarch
Package type: rpm
Installed size: 100.35 KB
Download size: 100.35 KB
Official Mirror: ftp.altlinux.org
A CoffeeScript loader plugin that may work with module loaders like RequireJS, curl and backdraft. This loader plugin makes it easy to write your JS functionality in CoffeeScript, and easily use it in the browser, Node or Rhino. Plus, if you use the RequireJS optimizer, your CoffeeScript files can be translated to JavaScript and in-lined into optimized layers for fast performance.

Alternatives

Requires

Provides

  • nodejs-require-cs = 0.4.4-alt1_1
  • npm(require-cs) = 0.4.4

    Install Howto

    1. Add the following line to /etc/apt/sources.list:
      rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
      rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
      
    2. Update the package index:
      # sudo apt-get update
    3. Install nodejs-require-cs rpm package:
      # sudo apt-get install nodejs-require-cs

    Files

    • /usr/lib/node_modules/require-cs/coffee-script.js
    • /usr/lib/node_modules/require-cs/cs.js
    • /usr/lib/node_modules/require-cs/package.json
    • /usr/lib/node_modules/require-cs/node_modules/coffee-script
    • /usr/lib/node_modules/require-cs/tools/r.js
    • /usr/share/doc/nodejs-require-cs-0.4.4/LICENSE
    • /usr/share/doc/nodejs-require-cs-0.4.4/README.md
    • /usr/share/doc/nodejs-require-cs-0.4.4/demoserver.js
    • /usr/share/doc/nodejs-require-cs-0.4.4/demo/build.js
    • /usr/share/doc/nodejs-require-cs-0.4.4/demo/build.sh
    • /usr/share/doc/nodejs-require-cs-0.4.4/demo/index.html
    • /usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/controller.coffee
    • /usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/csmain.coffee
    • /usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/domReady.js
    • /usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/main.js
    • /usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/regular.js
    • /usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/require.js
    • /usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/util.coffee
    • /usr/share/doc/nodejs-require-cs-0.4.4/demo/lib/view.coffee
    Advertisement
    Advertisement